<p id="notice"><%= notice %></p>

<div class="row">
  <div class="col-md-7">
    <h1>Listado de Representantes Legales </h1>
    <br>
  </div>
  <div class="col-md-5">
      <%= render :partial => 'legal_agents/search' %>
      <div class="form-inline">
        <br>
        <%= form_tag( legal_agents_path , :method => "get", id: "search-form") do %>
            <%= text_field_tag :search, params[:search], placeholder: "Buscar", :class=>'form-control' %>
            <%= submit_tag "Buscar" ,:class=>'btn btn-default'%>
        <% end %>
      </div>
  </div>
</div>

<%if not @legal_agents.present? %>
  <%if params[:search]%>
     <h4>Su busqueda no generó resultados</h4>
  <%else%>
     <h4>No existen Representantes Legales en este momento</h4>
  <%end%>
<%else%>
  <br>
    <h4>Haga click en el numero de identificacion del representante legal para ver detalles</h4>
  <br>
  <table class="table table-striped">
    <thead>
      <tr>
        <th>Numero de Identificacion </th>
        <!--<th>Tipo de Identificacion</th>-->
        <th>Nombre</th>
        <th>Apellido</th>
        <!--<th>Pais</th>
        <th>Ciudad</th>
        <th>Direccion</th>-->
        <th>Telefono</th>
        <th>Email</th>
        <!--<th>Buzon de mensajes</th>
        <th>Usuario</th>-->
        <th>Compania</th>
        <th colspan="3"></th>
      </tr>
    </thead>

    <tbody>
      <% @legal_agents.each do |legal_agent| %>
        <tr>
          <td><%= link_to legal_agent.identification_number, legal_agent %></td>
          <!--<td><% if legal_agent.identification_type == 1 %>
                <p> Carnet de Identidad </p>
            <% elsif legal_agent.identification_type == 2 %>
                <p> Libreta Militar </p>
            <% else %>
                <p> Passaporte </p>
            <% end %></td>-->
          <td><%= legal_agent.first_name %></td>
          <td><%= legal_agent.last_name %></td>
          <!--<td><%= legal_agent.country %></td>
          <td><%= legal_agent.city %></td>
          <td><%= legal_agent.address %></td>-->
          <td><%= legal_agent.phone_number %></td>
          <td><%= legal_agent.email %></td>
          <!--<td><%= legal_agent.mailbox %></td>
          <td><%= if legal_agent.user then legal_agent.user.email else 'Se debe asignar cuenta de ususario' end %></td>-->
          <td><%= legal_agent.company.name %></td>
          <!--<td><%= link_to 'Ver representante legal', legal_agent %></td>-->
          <td><%= link_to 'Editar', edit_legal_agent_path(legal_agent) %></td>
          <td><%= link_to 'Eliminar', legal_agent, method: :delete, data: { confirm: 'Confirmacion' } %></td>
        </tr>
      <% end %>
    </tbody>
  </table>
<%end%>

<br>


<!--<%= link_to 'New Legal agent', new_legal_agent_path %>-->


